%define targetfile /usr/lib/rpm/macros

Summary: Set it so that general rpm queries show the rpm's arch
Name: SL_rpm_show_arch
Version: 1.0
Release: 1
License: GPL
Group: SL
URL: https://www.scientificlinux.org/
Packager: Troy Dawson
Requires: rpm
BuildArch: noarch

%description
By default, rpm queries do not show what arch a particular rpm is.
This can cause confusion when it is important, such as in the x86_64
based distributions.
This rpm makes it so that you will see the arch when doing queries.

%files
%post
#
# This modifies /usr/lib/rpm/macros to add the arch to queries
#
if [ -f %{targetfile} ] ; then
	if ! `grep -q %%%%{name}-%%%%{version}-%%%%{release}.%%%%{arch} %{targetfile}` ; then
		cat %{targetfile} | sed -e "s:%%%%{name}-%%%%{version}-%%%%{release}:%%%%{name}-%%%%{version}-%%%%{release}.%%%%{arch}:"  > %{targetfile}.tmp
		mv -f %{targetfile}.tmp %{targetfile}
	fi
fi

%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies /usr/lib/rpm/macros to add the arch to queries
	#
	if [ -f %{targetfile} ] ; then
		cat %{targetfile} | sed -e "s:%%%%{name}-%%%%{version}-%%%%{release}.%%%%{arch}:%%%%{name}-%%%%{version}-%%%%{release}:"  > %{targetfile}.tmp
		mv -f %{targetfile}.tmp %{targetfile}
	fi
fi

%triggerin -- rpm
if [ -f %{targetfile} ] ; then
	if ! `grep -q %%%%{name}-%%%%{version}-%%%%{release}.%%%%{arch} %{targetfile}` ; then
		cat %{targetfile} | sed -e "s:%%%%{name}-%%%%{version}-%%%%{release}:%%%%{name}-%%%%{version}-%%%%{release}.%%%%{arch}:"  > %{targetfile}.tmp
		mv -f %{targetfile}.tmp %{targetfile}
	fi
fi

